Site Update

Started by Bigguy, Jul 08, 2021, 05:22 PM

Previous topic - Next topic

0 Members and 1 Guest are viewing this topic.

lurkalot

Quote from: Bigguy on Sep 09, 2021, 03:18 PMI am attempting an update, but the upgrader will not run. So for right now, the site has new files and all but no update has been run. I will be here til I get it. A issue has been reported to GH.

Bigguy, You using Firefox?

Bigguy


lurkalot

Quote from: Bigguy on Sep 09, 2021, 04:11 PMYes I am. :???

Try a different browser when doing the upgrade.  I had issues running it in firefox a couple of days ago, but was ok in Edge.

LandyVlad

That makes so sense at all.
I reject your reality, and substitute my own.

Bigguy

Quote from: lurkalot on Sep 09, 2021, 04:33 PMTry a different browser
I'll give it a shot tomorrow, thanks.


Bigguy

@LandyVlad It is possible it has something to do with the browser, we'll see. :dontknow

Oldiesmann

Try running it from shell instead. I upgraded a local test board the other day and the upgrader kept freezing early on ("The server has not responded for over 30 seconds ...") but ran fine from shell.
Cincy Space - now open! https://www.cincyspace.net

Bigguy

Seems illori has run into the same problem. I just read something about the db version being wrong or to high or something. She posted on GH about an hour ago.

Quote from: Oldiesmann on Sep 09, 2021, 10:37 PMTry running it from shell instead
I would but have never done that before. :emb

lurkalot

The more I mess around with upgrading some of my old local sites from RC3 to latest Github version of RC4, the more I think the upgrade is broken. 

I managed to upgrade a 2.0.18 to 2.1 RC4 without problem, but loads of my 2.1 RC3 to RC4 stalled on upgrading database, and went no further. 

Bigguy

I think it is being looked at on gh now....I think.

lurkalot

Quote from: Bigguy on Sep 11, 2021, 08:15 AMI think it is being looked at on gh now....I think.

Hope they fix it, I've killed a couple of local test sites with it so far.  ;)

Oldiesmann

Quote from: Bigguy on Sep 10, 2021, 05:18 AMSeems illori has run into the same problem. I just read something about the db version being wrong or to high or something. She posted on GH about an hour ago.
I would but have never done that before. :emb

Just browse to the forum directory then do "php -r upgrade.php". I don't remember if you can pass any parameters to it though so if you want to do a backup you should do that prior to running upgrade.php.
Cincy Space - now open! https://www.cincyspace.net

Bigguy

Thanks @Oldiesmann I may try that, but am wanting to see what was wrong with the upgrader as well.

Ronald

Quote from: lurkalot on Sep 11, 2021, 07:34 AMThe more I mess around with upgrading some of my old local sites from RC3 to latest Github version of RC4, the more I think the upgrade is broken. 

I managed to upgrade a 2.0.18 to 2.1 RC4 without problem, but loads of my 2.1 RC3 to RC4 stalled on upgrading database, and went no further. 

I just upgrade a 2.0.17 to RC4 with no problems at all. maybe 2 to 3 weeks ago.  Did it through the cpanel.

Bigguy

The site has just been updated to the latest from Github. Modifications will be installed next, after I check things out.